Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.defReg
Class EPPDefRegTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.defReg.EPPDefRegTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPDefRegTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.defReg package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.defReg package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5
Change Hostory: Modified test codes to accomdate the latest epp-defReg-03 protocol

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Constructor Summary
`EPPDefRegTst(java.lang.String name)` Creates a new EPPDefRegTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDefRegMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPDefRegTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testDefRegCheck()` Unit test of `EPPDefRegCheckCmd`.
`void` | `testDefRegCreate()` Unit test of `EPPDefRegCreateCmd`.
`void` | `testDefRegCreateIDN()` Unit test of `EPPDefRegCreateCmd` with .
`void` | `testDefRegDelete()` Unit test of `EPPDefRegDeleteCmd`.
`void` | `testDefRegInfo()` Unit test of `EPPDefRegInfoCmd`.
`void` | `testDefRegRenew()` Unit test of `EPPDefRegRenewCmd`.
`void` | `testDefRegTransfer()` Unit test of `EPPDefRegTransferCmd`.
`void` | `testDefRegUpate()` Unit test of `EPPDefRegUpdateCmd`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDefRegTst

    public EPPDefRegTst(java.lang.String name)

  Creates a new EPPDefRegTst object.

  Parameters:
    `name` - DOCUMENT ME!

Method Detail

### testDefRegInfo

    public void testDefRegInfo()

  Unit test of `EPPDefRegInfoCmd`. The response to `EPPDefRegInfoCmd` is `EPPDefRegInfoResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDefRegCreate

    public void testDefRegCreate()

  Unit test of `EPPDefRegCreateCmd`. The response to `EPPDefRegCreateCmd` is `EPPDefRegCreateResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDefRegCreateIDN

    public void testDefRegCreateIDN()

  Unit test of `EPPDefRegCreateCmd` with . The response to `EPPDefRegCreateCmd` is `EPPDefRegCreateResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDefRegDelete

    public void testDefRegDelete()

  Unit test of `EPPDefRegDeleteCmd`. The response to `EPPDefRegDeleteCmd` is `EPPDefRegCreateResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDefRegRenew

    public void testDefRegRenew()

  Unit test of `EPPDefRegRenewCmd`. The response to `EPPDefRegRenewCmd` is `EPPDefRegRenewResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDefRegUpate

    public void testDefRegUpate()

  Unit test of `EPPDefRegUpdateCmd`. The response to `EPPDefRegUpdateCmd` is `EPPResponse`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDefRegTransfer

    public void testDefRegTransfer()

  Unit test of `EPPDefRegTransferCmd`. The response to `EPPDefRegTransferCmd` is `EPPDefRegTransferResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDefRegMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPDefRegTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

### testDefRegCheck

    public void testDefRegCheck()

  Unit test of `EPPDefRegCheckCmd`. The response to `EPPDefRegCheckCmd` is `EPPDefRegCheckResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.